## bootcd 3.07

=== Makefile ===
# Makefile 

BIN=		bootcdwrite
USRLIBS=	bootcd-run.lib bootcd-check.lib bootcd-hppa.lib \
		bootcd2disk.conf bootcd2disk.lib \
		default.txt bootcd-ia64.lib bootcd-i386.lib
USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
		S13bootcdflop.sh S12bootcdram.sh bootcdmk2diskconf bootcdbackup
CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg bootcdbackup.conf 
INITTOP=	runbootcdmodprobe
INITPREMOUNT=	runbootcdproberoot
INITHOOK=       bootcdinitramfshook
INITRAMFSDEST=  $(DESTDIR)/usr/share/initramfs-tools

all:

clean:
	@rm -f ChangeLog.gz

install:	all
	@install -m 755 -o root -g root $(BIN) $(DESTDIR)/usr/bin/
	@install -m 644 -o root -g root $(CONFFILES) $(DESTDIR)/etc/bootcd/
	@install -m 644 -o root -g root $(USRLIBS) $(DESTDIR)/usr/share/bootcd/
	@install -m 755 -o root -g root $(USREXLIBS) $(DESTDIR)/usr/share/bootcd/
	@install -m 755 -o root -g root $(INITTOP) $(INITRAMFSDEST)/scripts/init-top/
	@install -m 755 -o root -g root $(INITPREMOUNT) $(INITRAMFSDEST)/scripts/init-premount/
	@install -m 755 -o root -g root $(INITHOOK) $(INITRAMFSDEST)/hooks/

=== debian/changelog ===
bootcd (3.07) unstable; urgency=low

  * remove command "function" from all scripts to be dash compatible
    reported by Dan Bernardic <dan.bernardic@gmail.com> seen in ubuntu
  * print warning, if bootcd-mkinitramfs is not installed
  * added command bootcdbackup
  * Resolved bug "depends on non-essential package initramfs-tools in 
    postrm". Closes: #416731
  * solved bug, that /var was not writable when using udev

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 21 May 2007 11:45:37 +0200

bootcd (3.06) unstable; urgency=low

  * small bug fixes (RESTORECMD="" in bootcd2disk.lib, FAQ, 
    lvdisplay --units -M -> -m)
  * Rechecked spelling errors. Closes: #419784
  * Rechecked spelling errors. Closes: #419785
  * Rechecked spelling errors. Closes: #419786

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 10 May 2007 17:26:23 +0200

bootcd (3.05) unstable; urgency=low

  * New command bootcdmk2diskconf to automatically build bootcd2disk.conf
    for backup purposes. This is experimental for now.
  * New section in FAQ to describe how to use bootcdmk2diskconf:
    "Q: Can I use bootcd to backup and restore redhat or suse"
  * Support for new config option RESTORECMD in bootcd2disk.conf
  * New commandline options -onlymount -onlyunmount in bootcd2disk

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 10 May 2007 09:57:41 +0200

bootcd (3.04) unstable; urgency=low

  * New version 3.04
  * if grub-install does not work in bootcd2disk grub will be used as before

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 27 Apr 2007 10:56:49 +0200

bootcd (3.03) unstable; urgency=low

  * boocd2disk now uses grub-install instead of using grub directly.
  * added examle to use bootcd for redhat backup

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 24 Apr 2007 14:24:48 +0200

bootcd (3.02) unstable; urgency=low

  * drop mkisofs warning
  * Check if initramfs-tools is installed, before using it in postrm
    of bootcd-mkinitramfs. Closes: #416731
  * Now multiple disks are supported in bootcd2disk. This affects mainly
    the lvm stuff.
  * Faster installing is possible with bootcd2disk option -url
  * Much better manpages by Carsten Dinkelmann <din@foobar-cpa.de>
  * UDEV_FIXNET option added to bootcdwrite.conf to fix Problem 
    with unused eth0 cards. Added by Carsten Dinkelmann <din@foobar-cpa.de>

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed,  7 Mar 2007 14:01:53 +0100

bootcd (3.01) unstable; urgency=low

  * Clarified copyright message as suggested by Francesco Poli
    [frx@firenze.linux.it]. Closes: #411193
  * Fixed bug Bootcdinitramfshook does not copy modules reported
    by jon@mail2.sd-6.org. Closes: #407990

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 19 Feb 2007 09:06:46 +0100

=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
Build-Depends: debhelper (>= 4)
Build-Depends-Indep: debhelper (>= 4)
Standards-Version: 3.6.1

Package: bootcd
Architecture: all
Suggests: ssh, bootcd-mkinitramfs
Depends: mkisofs, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
Recommends: cdrecord
Description: run your system from cd without need for disks
 Build an image of your running Debian System with the command bootcdwrite.
 You can also build a bootcd ISO image via NFS on a remote System.
 When you run your system from CD you do not need any disks. All 
 changes will be done in ram. To reuse this changes at next boot time 
 you can save them on FLOPPY with the command bootcdflopcp. If booting
 from your CD-drive is not supported, booting from FLOPPY is possible. 
 It is possible to install a new system from the running CD with the 
 command bootcd2disk. Bootcd2disk can also find a target disk, format 
 it and make it bootable automatically. Bootcd also supports lilo, 
 grub, initrd, udev, lvm, transparent-compression ISO 9660 fs and 
 syslinux/isolinux. Bootcd also supports offline backups/restores of other
 linux distributions.

Package: bootcd-i386
Architecture: all
Depends: bootcd (>=3.00), syslinux
Description: bootcd extension to create images that can boot on i386
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on i386.

Package: bootcd-hppa
Architecture: all
Depends: bootcd (>=3.00), palo
Description: bootcd extension to create images that can boot on parisc/hppa
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on parisc/hppa.

Package: bootcd-ia64
Architecture: all
Depends: bootcd (>=3.00), elilo
Description: bootcd extension to create images that can boot on ia64
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on ia64.

Package: bootcd-mkinitramfs
Architecture: all
Suggests: discover | discover1
Depends: initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 3.00)
Conflicts: bootcd-mkinitrd
Description: With the installation of this bootcd extension your 
 initrd-image will be updated to be usable for bootcd.
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. 
 This Package should be installed on a system you want to copy to cd, if the
 kernel uses initrd (as all prebuild debian 2.4 and 2.6 kernels do).
 If you have also installed discover than it can be used to detect the needed 
 modules to boot.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# This file is public domain software, originally written by Joey Hess.
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	#-$(MAKE) distclean

	dh_clean

install:
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	dh_installdirs -ptmp	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	dh_install --sourcedir=debian/tmp --fail-missing

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i bootcd2disk.conf.lvm bootcd2disk.conf.redhat
#	dh_installmenu -i
	dh_installdebconf -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installcatalogs -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl -i
#	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Nothing to do for binary-arch
binary-arch:
	
binary: binary-indep
.PHONY: build clean binary-indep binary install

## bootcd 3.08ubuntu1

=== Makefile ===
--- 
+++ 
@@ -12,10 +12,32 @@
 INITHOOK=       bootcdinitramfshook
 INITRAMFSDEST=  $(DESTDIR)/usr/share/initramfs-tools
 
-all:
+VERSION=version=$$(sed -ne "s|^bootcd (\([^)]*\)).*|\1|p;q" debian/changelog)
+REPLVERSION=($(VERSION); \
+  version2=$$(echo "$${version}" | sed "s/\./_/"); \
+  sed -e "s|\#\#BOOTCD\.VERSION\#\#|$${version}|" -e "s|\#\#BOOTCD_VERSION\#\#|$${version2}|")
+INSERT=( \
+    lines=$$(sed -e "$$SEARCH" $< |wc -l); \
+    elines=$$(expr $$(cat $< |wc -l) - $$lines + 1); \
+    head -n $$lines $<; \
+    cat $$FILE; \
+    tail -n -$$elines $< \
+	)
+
+all: bootcddebootstrap bootcdbackupwizard ${USREXLIBS}
+
+bootcdbackwiz: bootcdbackwiz_extract ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb README.bootcdbackwiz_extract
+	sh -c '$(VERSION); \
+	  mkdir bootcdbackupwizard_$${version}; \
+          for i in $^; do \
+            cp $$i bootcdbackupwizard_$${version}/; \
+          done; \
+          tar -cvzf bootcdbackupwizard_$${version}.tar.gz bootcdbackupwizard_$${version}; \
+          rm -rf bootcdbackupwizard_$${version}'
 
 clean:
 	@rm -f ChangeLog.gz
+	@rm -f bootcddebootstrap bootcdbackupwizard bootcdmk2diskconf bootcdbackwiz_extract
 
 install:	all
 	@install -m 755 -o root -g root $(BIN) $(DESTDIR)/usr/bin/
@@ -25,3 +47,39 @@
 	@install -m 755 -o root -g root $(INITTOP) $(INITRAMFSDEST)/scripts/init-top/
 	@install -m 755 -o root -g root $(INITPREMOUNT) $(INITRAMFSDEST)/scripts/init-premount/
 	@install -m 755 -o root -g root $(INITHOOK) $(INITRAMFSDEST)/hooks/
+
+bootcddebootstrap: bootcddebootstrap.src bootcd-run.lib
+	/bin/sh -c ' \
+	  SEARCH="\|\#\#\# BOOTCD_LIB|q"; \
+          FILE="bootcd-run.lib" ; \
+          $(INSERT) | \
+	  $(REPLVERSION) >$@'
+	chmod 755 $@
+
+bootcdbackupwizard: bootcdbackupwizard.src bootcd-run.lib 
+	/bin/sh -c ' \
+	  SEARCH="\|\#\#\# BOOTCD_LIB|q"; \
+          FILE="bootcd-run.lib" ; \
+          $(INSERT) | \
+	  $(REPLVERSION) >$@'
+	chmod 755 $@
+
+bootcdbackwiz_extract: bootcdbackwiz_extract.src ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb
+	/bin/sh -c ' \
+          bootcddeb=$$(cd ..; /bin/ls bootcd_?.??_all.deb); \
+	  bootcdmkinitramfsdeb=$$(cd ..; /bin/ls bootcd-mkinitramfs_?.??_all.deb); \
+	  bootcdi386deb=$$(cd ..; /bin/ls bootcd-i386_?.??_all.deb);\
+	  sed -e "s|\#\#BOOTCDDEB\#\#|$${bootcddeb}|;\
+s|\#\#BOOTCDMKINITRAMFSDEB\#\#|$${bootcdmkinitramfsdeb}|;\
+s|\#\#BOOTCDI386DEB\#\#|$${bootcdi386deb}|" $< | \
+	  $(REPLVERSION) >$@'
+	chmod 755 $@
+
+bootcdmk2diskconf:	bootcdmk2diskconf.src bootcd2disk.conf
+	/bin/sh -c ' \
+	  SEARCH="\|\#\#\# BOOTCD2DISK.CONF|q"; \
+          FILE="bootcd2disk.conf"; \
+          $(INSERT) | \
+	  $(REPLVERSION) >$@'
+	chmod 755 $@
+	./$@ -checktemplate

=== debian/changelog ===
bootcd (3.08ubuntu1) hardy; urgency=low

  * Added 01bootcdmk2diskconf.src.diff patch:
    - Changes "((" with "( (" for dash compatibility (LP: #165030)
  * Implement quilt patch system:
    - Add quilt as a Build-Depends in debian/control
    - Add quilt support in debian/rules
  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Nicolas Valcárcel Scerpella (aka nxvl) <nvalcarcel@gmail.com>  Thu, 29 Nov 2007 11:44:40 -0500

bootcd (3.08) unstable; urgency=low

  * Support for more than one kernel.
    It is now possible to define multiple KERNELS in bootcdwrite.conf.
    (Implemented by Carsten Dinkelmann <din@foobar-cpa.de> )
  * Bootcd defaults are optimized to fit most users needs.
    UDEV_FIXNET is now enabled by default and we use DVD for 
    size checking instead of CD by default.
  * Better manpages. 
    The manpage for bootcdwrite.conf has been updated.
  * New wizard to create backups of non-debian distributions.
    Bootcdbackupwizard is added do create online backups easy.
    First version of bootcddebootstrap to help create a bootcd on NonDeian 
    has been built by Carsten Dinkelmann <din@foobar-cpa.de>
  * Bootcd is more stable
    Using find/cpio is now more often used with secure option
    -print0/-null.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 13 Sep 2007 20:27:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: bootcd
 Section: utils
 Priority: extra
-Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
-Build-Depends: debhelper (>= 4)
-Build-Depends-Indep: debhelper (>= 4)
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
+Build-Depends: debhelper (>= 4), quilt
+Build-Depends-Indep: debhelper (>= 4) 
 Standards-Version: 3.6.1
 
 Package: bootcd
@@ -22,8 +23,10 @@
  command bootcd2disk. Bootcd2disk can also find a target disk, format 
  it and make it bootable automatically. Bootcd also supports lilo, 
  grub, initrd, udev, lvm, transparent-compression ISO 9660 fs and 
- syslinux/isolinux. Bootcd also supports offline backups/restores of other
- linux distributions.
+ syslinux/isolinux. The included FAQ describes how bootcd can do 
+ online or offline backups of other linux distributions, resulting 
+ in restore-bootcds. The bootcdbackupwizard helps to create online 
+ backups.
 
 Package: bootcd-i386
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # Sample debian/rules that uses debhelper. 
 # This file is public domain software, originally written by Joey Hess.
 #
+
+include /usr/share/quilt/quilt.make
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
@@ -15,7 +17,7 @@
 
 	touch build-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp 
@@ -27,7 +29,7 @@
 	dh_clean
 
 install:
-install: build
+install: build patch
 	dh_testdir
 	dh_testroot
 	dh_clean -k
@@ -45,7 +47,9 @@
 	dh_testroot -i
 	dh_installchangelogs -i
 	dh_installdocs -i
-	dh_installexamples -i bootcd2disk.conf.lvm bootcd2disk.conf.redhat
+	dh_installexamples -i bootcd2disk.conf.lvm bootcd2disk.conf.redhat \
+		bootcdbackupwizard bootcddebootstrap README.bootcdbackupwizard \
+    bootcdmk2diskconf
 #	dh_installmenu -i
 	dh_installdebconf -i
 #	dh_installlogrotate -i
@@ -59,7 +63,9 @@
 #	dh_undocumented -i
 	dh_installman -i
 	dh_link -i
-	dh_compress -i
+	dh_compress -i -Xbootcdbackupwizard -Xbootcddebootstrap -Xbootcdmk2diskconf
+	# bootcdbackupwizard, bootcddebootstrap is not compressed, because we do not know 
+	# if the foreign distri has gunzip installed
 	dh_fixperms -i
 #	dh_perl -i
 #	dh_python -i
@@ -70,6 +76,6 @@
 
 # Nothing to do for binary-arch
 binary-arch:
-	
+
 binary: binary-indep
 .PHONY: build clean binary-indep binary install

## bootcd 3.10%2Bnmu1

=== debian/control ===
Source: bootcd
Section: utils
Priority: extra
Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
Build-Depends: debhelper (>= 4)
Standards-Version: 3.8.0

Package: bootcd
Architecture: all
Suggests: ssh, bootcd-mkinitramfs
Depends: genisoimage, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
Recommends: wodim
Description: run your system from cd without need for disks
 Build an image of your running Debian System with the command bootcdwrite.
 You can also build a bootcd ISO image via NFS on a remote System.
 When you run your system from CD you do not need any disks. All 
 changes will be done in ram. To reuse this changes at next boot time 
 you can save them on FLOPPY with the command bootcdflopcp. If booting
 from your CD-drive is not supported, booting from FLOPPY is possible. 
 It is possible to install a new system from the running CD with the 
 command bootcd2disk. Bootcd2disk can also find a target disk, format 
 it and make it bootable automatically. Bootcd also supports lilo, 
 grub, initrd, udev, lvm, transparent-compression ISO 9660 fs and 
 syslinux/isolinux. The included FAQ describes how bootcd can do 
 online or offline backups of other Linux distributions, resulting 
 in restore-bootcds. The bootcdbackupwizard helps to create online 
 backups.

Package: bootcd-i386
Architecture: all
Depends: bootcd (>=3.09), syslinux
Description: bootcd extension to create images that can boot on i386
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on i386.

Package: bootcd-hppa
Architecture: all
Depends: bootcd (>=3.09), palo
Description: bootcd extension to create images that can boot on parisc/hppa
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on parisc/hppa.

Package: bootcd-ia64
Architecture: all
Depends: bootcd (>=3.09), elilo
Description: bootcd extension to create images that can boot on ia64
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. This package is needed to 
 create images that can boot on ia64.

Package: bootcd-mkinitramfs
Architecture: all
Suggests: discover | discover1
Depends: initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 3.00)
Conflicts: bootcd-mkinitrd
Description: initramfs extension for bootcd
 With the installation of this bootcd extension your 
 initrd-image will be updated to be usable for bootcd.
 With bootcd you can copy your system to cd, run it from cd without need for 
 disks and restore your system on disk from bootcd. 
 This Package should be installed on a system you want to copy to cd, if the
 kernel uses initrd (as all prebuild Debian 2.4 and 2.6 kernels do).
 If you have also installed discover than it can be used to detect the needed 
 modules to boot.

Package: bootcd-backup
Architecture: all
Suggests: bootcd
Depends: 
Conflicts: 
Description: tools to backup a Debian or alien Linux installation
 Tools and documentation to backup a Debian or alien Linux
 distribution to a bootable Debian bootcd.
 If you only want to backup an alien Linux distribution just download
 ftp://bootcd.alioth.debian.org/pub/bootcd/bootcdbackupwizard.tar.gz
 on the alien Linux distribution, untar it and follow the README.
 To create bootcdbackupwizard.tar.gz and to learn more, install this package.

## bootcd 3.10+nmu1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile 
 
 BIN=		bootcdwrite
-USRLIBS=	bootcd-run.lib bootcd-check.lib bootcd-hppa.lib \
+USRLIBS=	bootcd-run.lib bootcdbackup.lib bootcd-check.lib bootcd-hppa.lib \
 		bootcd2disk.conf bootcd2disk.lib \
 		default.txt bootcd-ia64.lib bootcd-i386.lib
 USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
@@ -17,16 +17,17 @@
   version2=$$(echo "$${version}" | sed "s/\./_/"); \
   sed -e "s|\#\#BOOTCD\.VERSION\#\#|$${version}|" -e "s|\#\#BOOTCD_VERSION\#\#|$${version2}|")
 INSERT=( \
-    lines=$$(sed -e "$$SEARCH" $< |wc -l); \
-    elines=$$(expr $$(cat $< |wc -l) - $$lines + 1); \
-    head -n $$lines $<; \
+    F=$$(cat); \
+    lines=$$(echo "$$F" | sed -e "$$SEARCH" |wc -l); \
+    elines=$$(expr $$(echo "$$F" |wc -l) - $$lines + 1); \
+    echo "$$F" | head -n $$lines; \
     cat $$FILE; \
-    tail -n -$$elines $< \
+    echo "$$F" | tail -n -$$elines \
 	)
 
-all: bootcddebootstrap bootcdbackupwizard ${USREXLIBS}
+all: bootcddebootstrap bootcdbackupwizard bootcdmkbackwiztar ${USREXLIBS}
 
-bootcdbackwiz: bootcdbackwiz_extract ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb README.bootcdbackwiz_extract
+bootcdbackwiz: bootcdbackwiz_extract ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb ../bootcd-backup_?.??_all.deb README.bootcdbackwiz_extract
 	sh -c '$(VERSION); \
 	  mkdir bootcdbackupwizard_$${version}; \
           for i in $^; do \
@@ -37,7 +38,9 @@
 
 clean:
 	@rm -f ChangeLog.gz
-	@rm -f bootcddebootstrap bootcdbackupwizard bootcdmk2diskconf bootcdbackwiz_extract
+	@rm -f bootcddebootstrap bootcdbackupwizard bootcdmk2diskconf \
+	  bootcdbackwiz_extract bootcdmkbackwiztar
+	@rm -rf bootcdbackupwizard_?.??.tar.gz
 
 install:	all
 	@install -m 755 -o root -g root $(BIN) $(DESTDIR)/usr/bin/
@@ -50,17 +53,16 @@
 
 bootcddebootstrap: bootcddebootstrap.src bootcd-run.lib
 	/bin/sh -c ' \
-	  SEARCH="\|\#\#\# BOOTCD_LIB|q"; \
-          FILE="bootcd-run.lib" ; \
-          $(INSERT) | \
+	  cat $< | \
+	  ( SEARCH="\|\#\#\# BOOTCD-RUN_LIB|q"; FILE="bootcd-run.lib"; $(INSERT) ) | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
-bootcdbackupwizard: bootcdbackupwizard.src bootcd-run.lib 
+bootcdbackupwizard: bootcdbackupwizard.src bootcd-run.lib bootcdbackup.lib
 	/bin/sh -c ' \
-	  SEARCH="\|\#\#\# BOOTCD_LIB|q"; \
-          FILE="bootcd-run.lib" ; \
-          $(INSERT) | \
+	  cat $< | \
+	  ( SEARCH="\|\#\#\# BOOTCD-RUN_LIB|q"; FILE="bootcd-run.lib" ; $(INSERT) ) | \
+	  ( SEARCH="\|\#\#\# BOOTCDBACKUP_LIB|q"; FILE="bootcdbackup.lib" ; $(INSERT) ) | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
@@ -69,17 +71,22 @@
           bootcddeb=$$(cd ..; /bin/ls bootcd_?.??_all.deb); \
 	  bootcdmkinitramfsdeb=$$(cd ..; /bin/ls bootcd-mkinitramfs_?.??_all.deb); \
 	  bootcdi386deb=$$(cd ..; /bin/ls bootcd-i386_?.??_all.deb);\
+	  bootcdbackupdeb=$$(cd ..; /bin/ls bootcd-backup_?.??_all.deb);\
 	  sed -e "s|\#\#BOOTCDDEB\#\#|$${bootcddeb}|;\
 s|\#\#BOOTCDMKINITRAMFSDEB\#\#|$${bootcdmkinitramfsdeb}|;\
+s|\#\#BOOTCDBACKUPDEB\#\#|$${bootcdbackupdeb}|;\
 s|\#\#BOOTCDI386DEB\#\#|$${bootcdi386deb}|" $< | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
 bootcdmk2diskconf:	bootcdmk2diskconf.src bootcd2disk.conf
 	/bin/sh -c ' \
-	  SEARCH="\|\#\#\# BOOTCD2DISK.CONF|q"; \
-          FILE="bootcd2disk.conf"; \
-          $(INSERT) | \
+	  cat $< | \
+	  ( SEARCH="\|\#\#\# BOOTCD2DISK.CONF|q"; FILE="bootcd2disk.conf"; $(INSERT) ) | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 	./$@ -checktemplate
+
+bootcdmkbackwiztar:	bootcdmkbackwiztar.src
+	/bin/sh -c 'cat $< | $(REPLVERSION) >$@'
+	chmod 755 $@

=== debian/changelog ===
bootcd (3.10+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch by Leonardo Rodrigues de Mello to make package work with
    sh=dash. (Closes: #464497)
    All remaining bashisms are also understood by dash.
  * Fixed lintian errors:
    - Bumped Standards-Version to 3.8.0.
    - Depend on genisoimage instead of mkisofs.
    - Recommends wodim instead of cdrecord.
    - Only build depend on debhelper once.
    - Do not ignore errors in clean target.
    - Added debhelper token to postinst and postrm.
    - Minor typo in description.

 -- Michael Meskes <meskes@debian.org>  Sat, 21 Jun 2008 19:39:52 +0200

bootcd (3.10) unstable; urgency=low

  * Added link to /usr/share/common-licenses/GPL-2

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 18 Jan 2008 10:36:24 +0100

bootcd (3.09) unstable; urgency=low

  * bootcd-backup is now an extra package. The bootcdbackupwizard
    has been improved by Carsten Dinkelmann <din@foobar-cpa.de> and
    Bernd Schumacher <bernd.schumacher@hp.com>.
  * Fixed Bug "bootcd FTBFS with sh as interpreter" reported by 
    Nicolas Valcarcel <nvalcarcel@gmail.com>. Closes: #453263
  * Supporting backup and restore of selinux files.
  * bootcd-mkinitramfs uses a one-line description, as requested
    by David Liontooth <liontooth@cogweb.net>. Closes: #402632
  * Corrected typo in bootcdwrite, evaluates append="$KLABEL" instead of
    append="$APPEND", reported by Ludi de Souza <lnds@hotmail.com>.
    Closes: #457818

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 19 Nov 2007 14:31:14 +0100

## bootcd 3.11ubuntu1

=== debian/changelog ===
bootcd (3.11ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #255609)
    - Added 01bootcdmk2diskconf.src.diff patch:
      + A lot of changes for dash compatibility
    - Implement quilt patch system:
      + Add quilt as a Build-Depends in debian/control
      + Add quilt support in debian/rules

 -- Bhavani Shankar <right2bhavi@gmail.com>  Mon, 18 Aug 2008 19:06:57 +0530

bootcd (3.11) unstable; urgency=low

  * the bootcd-ia64.lib is now in bootcd-ia64. This bug was reported by 
    Jens Kapitza <debian@schwarze-allianz.de> Closes: #489414
  * Added a description "how to create a liveusbstick from a bootcd-iso" from
    Ingo Peter <ingo.peter@sosyco.de> to the FAQ.
  * Added some from NMU deleted "-n options" to "echo" command where needed.
  * bootcddebootstrap now recognizes environment varialbe http_proxy
  * bootcddebootstrap now runs apt with a higher Cache-Limit
  * bootcddebootstrap now has a more intelligent way to check output 
    of "apt-get install"
  * added bootcdtest script to make testing of packages before commiting
    easier. This script is only available in the bootcd source package.
    - The test script can only test bootcddebootstrap until now
  * Added "mount --move /dev.ro /dev" to S12bootcdram.sh to correct the
    problem "Unable to connect via ssh" with error "stdin: is not a tty"
    This was only possible with the bugreports and help of 
    Alessandro Polverini <alex@nibbles.it> and "Yifang Dai" <yifangd0@gmail.com>. 
    Closes: #464728
  * Added patch for "MKISODEVFS variable has wrong assignment" from
    Jens Kapitza <developer@schwarze-allianz.de>. Closes: #484705
  * Resolved bashism reported by Raphael Geissert <atomo64@gmail.com>
    (sourced script with arguments) in bootce2disk. Closes: #489545
  * Resolved bashism reported by Raphael Geissert <atomo64@gmail.com>
    (let ...). Closes: #489548

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sat, 26 Jul 2008 11:44:58 +0200

bootcd (3.10ubuntu1) intrepid; urgency=low

  * Added 01bootcdmk2diskconf.src.diff patch:
    - A lot of changes for dash compatibility (LP: #238761)
  * Implement quilt patch system:
    - Add quilt as a Build-Depends in debian/control
    - Add quilt support in debian/rules
  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec. 

 -- Nicolas Valcárcel <nvalcarcel@ubuntu.com>  Tue, 10 Jun 2008 16:01:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: bootcd
 Section: utils
 Priority: extra
-Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
-Build-Depends: debhelper (>= 4)
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
+Build-Depends: debhelper (>= 4), quilt
 Standards-Version: 3.8.0
 
 Package: bootcd

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	rm -f build-stamp 
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	[ ! -f Makefile ] || $(MAKE) clean
 	#-$(MAKE) distclean
 
 	dh_clean
@@ -47,9 +47,7 @@
 	dh_testroot -i
 	dh_installchangelogs -i
 	dh_installdocs -i
-	dh_installexamples -i bootcd2disk.conf.lvm bootcd2disk.conf.redhat \
-		bootcdbackupwizard bootcddebootstrap README.bootcdbackupwizard \
-    bootcdmk2diskconf
+	dh_installexamples -i 
 #	dh_installmenu -i
 	dh_installdebconf -i
 #	dh_installlogrotate -i

## bootcd 3.12

=== debian/changelog ===
bootcd (3.12) unstable; urgency=low

  * bootcd2disk now only uses the command grub directly to install grub 
    instead of trying grub-install before. (See more comments in source)
  * Solved bug bootcd: tries to overwrite file oened by bootcd-ia64
    reported by Ralf Treinen <treinen@debian.org>. Closes: #497459
  * Solved bug "FTBFS with dash as /bin/sh" reported by Daniel Schepler
    <schepler@math.berkeley.edu>. Closes: #493453
  * make lintian happy

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 08 Sep 2008 16:06:47 +0200

## bootcd 3.15

=== debian/changelog ===
bootcd (3.15) unstable; urgency=low

  * Fix return value of udev_fixnet in bootcd2disk.
  * Changed /usr/bin/mkisofs -> genisoimage
  * Output of functions after_copy() and before_copy() defined in 
    bootcd2disk.conf are not controlled with run anymore.
  * in bootcd2disk, the dd command now uses conf=notrunc to really wipe out 
    the partition table
  * in bootcd2disk, if we get "BLKRRPART: Device or resource busy" the 
    user is asked to reboot
  * in bootcd2disk.lib if we can not find a block device we will guess
    its name

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 20 Apr 2009 10:01:40 +0200

bootcd (3.14) unstable; urgency=low

  * Bootcd now also handles /etc/udev/rules.d/70-persistent-net.rules (lenny)
    and /etc/udev/rules.d/z25_persistent-net.rules (etch). This bug has 
    been reported by kinneko <kinneko@gmail.com> and 
    Hideki Yamane <mailto:henrich@debian.or.jp> 

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 01 Apr 2009 12:02:49 +0200

bootcd (3.13) unstable; urgency=low

  * Changes made to bootcd-check.lib (cvs version 1.32) where accidently lost
    in last version. Now they are added again.
  * Added missing depencency to mkisofs as asked for by
    Hideki Yamane <henrich@debian.or.jp> Closes: #520054

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Fri, 20 Mar 2009 11:37:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: bootcd
 Section: utils
 Priority: extra
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
-Build-Depends: debhelper (>= 4), quilt
+Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
+Build-Depends: debhelper (>= 4)
 Standards-Version: 3.8.0
 
 Package: bootcd
 Architecture: all
 Suggests: ssh, bootcd-mkinitramfs
-Depends: genisoimage, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
+Depends: genisoimage | mkisofs, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
 Recommends: wodim
 Description: run your system from cd without need for disks
  Build an image of your running Debian System with the command bootcdwrite.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 # Sample debian/rules that uses debhelper. 
 # This file is public domain software, originally written by Joey Hess.
 #
-
-include /usr/share/quilt/quilt.make
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
@@ -17,7 +15,7 @@
 
 	touch build-stamp
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp 
@@ -29,7 +27,7 @@
 	dh_clean
 
 install:
-install: build patch
+install: build
 	dh_testdir
 	dh_testroot
 	dh_clean -k

## bootcd 3.18

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # Makefile 
+#
 
 BIN=		bootcdwrite
 USRLIBS=	bootcd-run.lib bootcdbackup.lib bootcd-check.lib bootcd-hppa.lib \
@@ -13,16 +14,18 @@
 INITRAMFSDEST=  $(DESTDIR)/usr/share/initramfs-tools
 
 VERSION=version=$$(sed -ne "s|^bootcd (\([^)]*\)).*|\1|p;q" debian/changelog)
+# /bin/echo is needed instead of echo. Because /bin/echo it behaves like 
+# bash-echo and does not interpret \n as dash-echo would do.
 REPLVERSION=($(VERSION); \
-  version2=$$(echo "$${version}" | sed "s/\./_/"); \
+  version2=$$(/bin/echo "$${version}" | sed "s/\./_/"); \
   sed -e "s|\#\#BOOTCD\.VERSION\#\#|$${version}|" -e "s|\#\#BOOTCD_VERSION\#\#|$${version2}|")
 INSERT=( \
     F=$$(cat); \
-    lines=$$(echo "$$F" | sed -e "$$SEARCH" |wc -l); \
-    elines=$$(expr $$(echo "$$F" |wc -l) - $$lines + 1); \
-    echo "$$F" | head -n $$lines; \
+    lines=$$(/bin/echo "$$F" | sed -e "$$SEARCH" |wc -l); \
+    elines=$$(expr $$(/bin/echo "$$F" |wc -l) - $$lines + 1); \
+    /bin/echo "$$F" | head -n $$lines; \
     cat $$FILE; \
-    echo "$$F" | tail -n -$$elines \
+    /bin/echo "$$F" | tail -n -$$elines \
 	)
 
 all: bootcddebootstrap bootcdbackupwizard bootcdmkbackwiztar ${USREXLIBS}
@@ -52,14 +55,14 @@
 	@install -m 755 -o root -g root $(INITHOOK) $(INITRAMFSDEST)/hooks/
 
 bootcddebootstrap: bootcddebootstrap.src bootcd-run.lib
-	/bin/sh -c ' \
+	sh -c ' \
 	  cat $< | \
 	  ( SEARCH="\|\#\#\# BOOTCD-RUN_LIB|q"; FILE="bootcd-run.lib"; $(INSERT) ) | \
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
 bootcdbackupwizard: bootcdbackupwizard.src bootcd-run.lib bootcdbackup.lib
-	/bin/sh -c ' \
+	sh -c ' \
 	  cat $< | \
 	  ( SEARCH="\|\#\#\# BOOTCD-RUN_LIB|q"; FILE="bootcd-run.lib" ; $(INSERT) ) | \
 	  ( SEARCH="\|\#\#\# BOOTCDBACKUP_LIB|q"; FILE="bootcdbackup.lib" ; $(INSERT) ) | \
@@ -67,7 +70,7 @@
 	chmod 755 $@
 
 bootcdbackwiz_extract: bootcdbackwiz_extract.src ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb
-	/bin/sh -c ' \
+	sh -c ' \
           bootcddeb=$$(cd ..; /bin/ls bootcd_?.??_all.deb); \
 	  bootcdmkinitramfsdeb=$$(cd ..; /bin/ls bootcd-mkinitramfs_?.??_all.deb); \
 	  bootcdi386deb=$$(cd ..; /bin/ls bootcd-i386_?.??_all.deb);\
@@ -80,7 +83,7 @@
 	chmod 755 $@
 
 bootcdmk2diskconf:	bootcdmk2diskconf.src bootcd2disk.conf
-	/bin/sh -c ' \
+	sh -c ' \
 	  cat $< | \
 	  ( SEARCH="\|\#\#\# BOOTCD2DISK.CONF|q"; FILE="bootcd2disk.conf"; $(INSERT) ) | \
 	  $(REPLVERSION) >$@'
@@ -88,5 +91,5 @@
 	./$@ -checktemplate
 
 bootcdmkbackwiztar:	bootcdmkbackwiztar.src
-	/bin/sh -c 'cat $< | $(REPLVERSION) >$@'
+	sh -c 'cat $< | $(REPLVERSION) >$@'
 	chmod 755 $@

=== debian/changelog ===
bootcd (3.18) unstable; urgency=low

  * Added Pre-Depends in bootcd-ia64, to have not the same file in
    both packages while upgrading. Hopefully this closes the bug
    found by Holger Levsen <holger@layer-acht.org>. Closes: #562855
  * Added new GRUB Parameter GRUBDEVICEMAP for more flexibility in
    bootcd2disk.conf.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 14 Jan 2010 17:49:37 +0100

bootcd (3.17) unstable; urgency=low

  * support for md softraid
  * each package now depends on bootcd >= 3.17. bootcd 3.17 does not include 
    /usr/share/bootcd/bootcd-ia64.lib as bootcd 3.10+nmu1 did reported by 
    Holger Levsen <holger@layer-acht.org>. Closes: #562855
  * Solved bashism by changing == to = in test statements, reported by 
    Andre Roth <lynx@netlabs.org>. Closes: #560204

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Sat, 18 Jul 2009 18:08:18 +0200

bootcd (3.16) unstable; urgency=low

  * if we get "BLKRRPART: Device or resource busy" even withou using LVM
    we have to destroy needed disks with dd before rebooting.
  * changed Standards-Verstion from 3.8.0 to 3.8.2
  * fixed bashism reported by Raphael Geissert <atomo64@gmail.com>.
    Closes: #530059

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 07 Jul 2009 13:19:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: extra
 Maintainer: Bernd Schumacher <bernd.schumacher@hp.com>
-Build-Depends: debhelper (>= 4)
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.8.2
 
 Package: bootcd
 Architecture: all
 Suggests: ssh, bootcd-mkinitramfs
-Depends: genisoimage | mkisofs, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
+Depends: ${misc:Depends}, genisoimage, cpio, fdutils, file, dosfstools, realpath, bootcd-i386 | bootcd-hppa | bootcd-ia64
 Recommends: wodim
 Description: run your system from cd without need for disks
  Build an image of your running Debian System with the command bootcdwrite.
@@ -28,7 +28,7 @@
 
 Package: bootcd-i386
 Architecture: all
-Depends: bootcd (>=3.09), syslinux
+Depends: ${misc:Depends}, bootcd (>=3.17), syslinux
 Description: bootcd extension to create images that can boot on i386
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. This package is needed to 
@@ -36,7 +36,7 @@
 
 Package: bootcd-hppa
 Architecture: all
-Depends: bootcd (>=3.09), palo
+Depends: ${misc:Depends}, bootcd (>=3.17), palo
 Description: bootcd extension to create images that can boot on parisc/hppa
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. This package is needed to 
@@ -44,7 +44,8 @@
 
 Package: bootcd-ia64
 Architecture: all
-Depends: bootcd (>=3.09), elilo
+Depends: ${misc:Depends}, bootcd (>=3.18), elilo
+Pre-Depends: bootcd (>=3.17)
 Description: bootcd extension to create images that can boot on ia64
  With bootcd you can copy your system to cd, run it from cd without need for 
  disks and restore your system on disk from bootcd. This package is needed to 
@@ -53,7 +54,7 @@
 Package: bootcd-mkinitramfs
 Architecture: all
 Suggests: discover | discover1
-Depends: initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 3.00)
+Depends: ${misc:Depends}, initramfs-tools, busybox | busybox-static | busybox-cvs | busybox-cvs-static, bootcd (>= 3.17)
 Conflicts: bootcd-mkinitrd
 Description: initramfs extension for bootcd
  With the installation of this bootcd extension your 
@@ -67,8 +68,8 @@
 
 Package: bootcd-backup
 Architecture: all
-Suggests: bootcd
-Depends: 
+Suggests: bootcd (>=3.17)
+Depends: ${misc:Depends}
 Conflicts: 
 Description: tools to backup a Debian or alien Linux installation
  Tools and documentation to backup a Debian or alien Linux

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,8 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	#dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp.
@@ -53,19 +54,22 @@
 #	dh_installcatalogs -i
 #	dh_installpam -i
 #	dh_installmime -i
+#	dh_python -i
 #	dh_installinit -i
 #	dh_installcron -i
 #	dh_installinfo -i
 #	dh_undocumented -i
 	dh_installman -i
 	dh_link -i
+#	dh_strip -i
 	dh_compress -i -Xbootcdbackupwizard -Xbootcddebootstrap -Xbootcdmk2diskconf
 	# bootcdbackupwizard, bootcddebootstrap is not compressed, because we do not know 
 	# if the foreign distri has gunzip installed
 	dh_fixperms -i
 #	dh_perl -i
-#	dh_python -i
+#	dh_makeshlibs -i
 	dh_installdeb -i
+#	dh_shlibdeps -i
 	dh_gencontrol -i
 	dh_md5sums -i
 	dh_builddeb -i

## bootcd 3.20

=== debian/changelog ===
bootcd (3.20) unstable; urgency=low

  * Support Kernels with ramdisk as module (as used in squeeze).
    - S12bootcdram.sh loads ramdisk Module (brd) if it exists
    - S12bootcdram.sh may have to create /dev/ram2 manually
    - bootcd-check.lib now accepts kernels with 
      CONFIG_BLK_DEV_RAM=[m|y]
  * Support newer login that does not allow devices outside of /dev
    - bootcdwrite makes sure /etc/securetty has full path when running from 
      bootcd
    - bootcd2disk restores original /etc/securetty
  * Bashism
    - do not use bash command declare any more
  * This is the first try to support Grub2. 
    Maybe it is more sure to use Grub for now.
  * check that if bootcd-mkinitramfs is installed, it has modified the 
    correct initrd. While installing bootcd-mkinitramfs it only 
    modifies the actual running initrd, other initrds have to be modified
    manually. The check tells the command to execute.
  * Added sr_mod to the MANUAL_MODULES in bootcdmodprobe. Thanks to 
    Kushal Koolwal <kushalkoolwal@hotmail.com> and 
    Daniel Wozniak <dan@edgeos.com>. Successfuly tested squeeze kernel
    vmlinuz-2.6.32-3-686. Fixed bugs reported by
    Alessandro Polverini <alex@nibbles.it>. Also Tested bootcd2disk with 
    this kernel. Closes: #474148
  * Added startscripts bootcdram and bootcdflop with LSB support instead of
    old S12bootcdram.sh and S13bootcdflop.sh.

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 25 May 2010 10:21:07 +0200

bootcd (3.19fix2) unstable; urgency=low

  * Fixed a bug reported by Uwe Noffke <uwe.noffke@hp.com>, that produces an 
    endless loop, if interactive questions are answered by piping empty stdin
    to bootcd scripts. 

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 17 May 2010 10:33:24 +0200

bootcd (3.19fix1) unstable; urgency=low

  * Changed default for UDEV_FIXNET in bootcd2disk.conf to "yes"
  * Fixed a typo, which caused an error when using option -url with a 
    file-url (-url=file:///...) in bootcd2disk
  * Fixed an error in bootcd2disk, where function err from bootcd-run.lib
    was used before bootcd-run.lib was used

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 25 Mar 2010 11:30:11 +0100

bootcd (3.19) unstable; urgency=low

  * Fix: in S12bootcdram.sh only create symlinks if target does not exist
  * Fix: in bootcd2disk in function udev_fixnet return 0 if nothing hast to be
    fixed
  * Fix: bug in bootcdmk2diskconf which did not handle SWAP labels correct
  * Now grub makes sure the correct stage files are installed.
  * Support a lenny chroot to be used by bootcdbackupwizard. 
  * Tested bootcdbackupwizard with installations of RHEL4-U4-i386-AS and 
    rhel-server-5.4-i386 

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Tue, 09 Feb 2010 09:29:12 +0100

## bootcd 3.23

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 		bootcd2disk.conf bootcd2disk.lib \
 		default.txt bootcd-ia64.lib bootcd-i386.lib
 USREXLIBS=	bootcd2disk bootcdflopcp bootcdmodprobe bootcdproberoot \
-		S13bootcdflop.sh S12bootcdram.sh bootcdmk2diskconf bootcdbackup
+		bootcdmk2diskconf bootcdbackup
 CONFFILES=	bootcdwrite.conf isolinux.cfg syslinux.cfg bootcdbackup.conf 
 INITTOP=	runbootcdmodprobe
 INITPREMOUNT=	runbootcdproberoot
@@ -28,9 +28,9 @@
     /bin/echo "$$F" | tail -n -$$elines \
 	)
 
-all: bootcddebootstrap bootcdbackupwizard bootcdmkbackwiztar ${USREXLIBS}
+all: bootcddebootstrap bootcdbackupwizard bootcdmkbackwiztar ${USREXLIBS} ${INITTOP}
 
-bootcdbackwiz: bootcdbackwiz_extract ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb ../bootcd-backup_?.??_all.deb README.bootcdbackwiz_extract
+bootcdbackwiz: bootcdbackwiz_extract ../bootcd_*_all.deb ../bootcd-mkinitramfs_*_all.deb ../bootcd-i386_*_all.deb ../bootcd-backup_*_all.deb README.bootcdbackwiz_extract
 	sh -c '$(VERSION); \
 	  mkdir bootcdbackupwizard_$${version}; \
           for i in $^; do \
@@ -43,7 +43,8 @@
 	@rm -f ChangeLog.gz
 	@rm -f bootcddebootstrap bootcdbackupwizard bootcdmk2diskconf \
 	  bootcdbackwiz_extract bootcdmkbackwiztar
-	@rm -rf bootcdbackupwizard_?.??.tar.gz
+	@rm -rf bootcdbackupwizard_*.tar.gz
+	@rm -f bootcdmodprobe runbootcdmodprobe
 
 install:	all
 	@install -m 755 -o root -g root $(BIN) $(DESTDIR)/usr/bin/
@@ -69,12 +70,12 @@
 	  $(REPLVERSION) >$@'
 	chmod 755 $@
 
-bootcdbackwiz_extract: bootcdbackwiz_extract.src ../bootcd_?.??_all.deb ../bootcd-mkinitramfs_?.??_all.deb ../bootcd-i386_?.??_all.deb
+bootcdbackwiz_extract: bootcdbackwiz_extract.src ../bootcd_*_all.deb ../bootcd-mkinitramfs_*_all.deb ../bootcd-i386_*_all.deb
 	sh -c ' \
-          bootcddeb=$$(cd ..; /bin/ls bootcd_?.??_all.deb); \
-	  bootcdmkinitramfsdeb=$$(cd ..; /bin/ls bootcd-mkinitramfs_?.??_all.deb); \
-	  bootcdi386deb=$$(cd ..; /bin/ls bootcd-i386_?.??_all.deb);\
-	  bootcdbackupdeb=$$(cd ..; /bin/ls bootcd-backup_?.??_all.deb);\
+          bootcddeb=$$(cd ..; /bin/ls bootcd_*_all.deb); \
+	  bootcdmkinitramfsdeb=$$(cd ..; /bin/ls bootcd-mkinitramfs_*_all.deb); \
+	  bootcdi386deb=$$(cd ..; /bin/ls bootcd-i386_*_all.deb);\
+	  bootcdbackupdeb=$$(cd ..; /bin/ls bootcd-backup_*_all.deb);\
 	  sed -e "s|\#\#BOOTCDDEB\#\#|$${bootcddeb}|;\
 s|\#\#BOOTCDMKINITRAMFSDEB\#\#|$${bootcdmkinitramfsdeb}|;\
 s|\#\#BOOTCDBACKUPDEB\#\#|$${bootcdbackupdeb}|;\
@@ -93,3 +94,11 @@
 bootcdmkbackwiztar:	bootcdmkbackwiztar.src
 	sh -c 'cat $< | $(REPLVERSION) >$@'
 	chmod 755 $@
+
+bootcdmodprobe:		bootcdmodprobe.src
+	sh -c 'cat $< | $(REPLVERSION) >$@'
+	chmod 755 $@
+
+runbootcdmodprobe:	runbootcdmodprobe.src
+	sh -c 'cat $< | $(REPLVERSION) >$@'
+	chmod 755 $@

=== debian/changelog ===
bootcd (3.23) unstable; urgency=low

  * Fixed bug, in bootcdwrite where genisoimage did not use option 
    -graft-points, (although it should use it with versions of 
    mkisofs>=1.13) because the version of genisoimage was not correct 
    calculated by bootcdwrite. This results in the exact same bug 
    "bootcd fails because of deleted path" as reported by 
    "Hans-J. Ullrich" <hans.ullrich@loop.de>. But now we could 
    reproduce it. Closes: #562560

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Wed, 01 Dec 2010 15:35:28 +0100

bootcd (3.22) unstable; urgency=low

  * Fix a bug with bootcd2disk, found by Kevin Woldt <kevin.woldt@hp.com>
    that prevents copying anything under /mnt to the new installed system. 
  * Fix a bug reported by Lucas Nussbaum <lucas@lucas-nussbaum.net> which 
    produced an error when purging bootcd-mkinitramfs (after dependencies 
    removal). Closes: #604220

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Mon, 15 Nov 2010 10:06:10 +0100

bootcd (3.21) unstable; urgency=low

  * As Sherwood Wang <swang.work@gmail.com> found out bootcd did
    not run with newer kernels (2.6.32). To fix this information will
    about block devices will be taken from /sys instead of 
    /proc. Closes: #588774

 -- Bernd Schumacher <bernd.schumacher@hp.com>  Thu, 15 Jul 2010 08:31:20 +0200

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,8 @@
 #	dh_installpam -i
 #	dh_installmime -i
 #	dh_python -i
-#	dh_installinit -i
+	dh_installinit -i --name=bootcdram --update-rcd-params="start 12 S ."
+	dh_installinit -i --name=bootcdflop --update-rcd-params="start 13 S ."
 #	dh_installcron -i
 #	dh_installinfo -i
 #	dh_undocumented -i
